Mark threads as unresolved (reopen)
POST
/openapi/thread/markunresolved
const url = 'https://open-api.replyco.com/openapi/thread/markunresolved';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://open-api.replyco.com/openapi/thread/markunresolved \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]'Reopens previously resolved threads by marking them as unresolved. This action is logged in the changes history.
Note: Maximum 100 thread IDs per request.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”List of thread IDs to mark as unresolved
Array<string>
Example generated
[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]Array<string>
Example generated
[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]Array<string>
Example generated
[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]Array<string>
Example generated
[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]Responses
Section titled “Responses”Threads were successfully marked as unresolved
Invalid request (e.g., empty list, too many IDs)
User is not authenticated or authorized
One or more thread IDs were not found